Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Private Member Functions | List of all members
cz.vutbr.feec.novak68.rapidminer.MyProcess Class Reference
Collaboration diagram for cz.vutbr.feec.novak68.rapidminer.MyProcess:
[legend]

## Public Member Functions
| MyProcess (boolean useVariance)
ExampleSet | runProcess ()
void | printAllRecords ()
ExampleSet | getInputExampleSet ()
ExampleSet | getOutputExampleSet ()
ExampleSet | addValues (String clazz, String coordinates, double simpleC, double symetryC, int xsymetry, int ysymetry, int allElementC, int hElementC, int vElementC, int otherElementC)
ExampleSet | addValues (String clazz, String coordinates, double simpleC, double symetryC, int xsymetry, int ysymetry, int allElementC, int hElementC, int vElementC, int otherElementC, double variance)
ExampleSet | addValues (String clazz, ExampleSet exampleSet, String coordinates, double simpleC, double symetryC, int xsymetry, int ysymetry, int allElementC, int hElementC, int vElementC, int otherElementC)
ExampleSet | addValues (String clazz, ExampleSet exampleSet, String coordinates, double simpleC, double symetryC, int xsymetry, int ysymetry, int allElementC, int hElementC, int vElementC, int otherElementC, double variance)

## Static Private Member Functions
static ExampleSet | ExampleSetHeader (boolean useVariance)

## Detailed Description

MyProcess instantiate RapidMiner process, create data table and label it with positive or negative prediction.

Author
  xnovak68

Definition at line 30 of file MyProcess.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.rapidminer.MyProcess.MyProcess | ( | boolean | useVariance | ) |

Definition at line 35 of file MyProcess.java.

References cz.vutbr.feec.novak68.rapidminer.MyProcess.ExampleSetHeader().

Here is the call graph for this function:

## Member Function Documentation

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues | ( | String | clazz,
|  | String | coordinates,
|  | double | simpleC,
|  | double | symetryC,
|  | int | xsymetry,
|  | int | ysymetry,
|  | int | allElementC,
|  | int | hElementC,
|  | int | vElementC,
|  | int | otherElementC
| ) |  |

Method addValues fill the input data set table

Parameters

  clazz |
  coordinates |
  simpleC |
  symetryC |
  xsymetry |
  ysymetry |
  allElementC |
  hElementC |
  vElementC |
  otherElementC |

Returns

Definition at line 113 of file MyProcess.java.

Referenced by cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues().

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues | ( | String | clazz,
|  | String | coordinates,
|  | double | simpleC,
|  | double | symetryC,
|  | int | xsymetry,
|  | int | ysymetry,
|  | int | allElementC,
|  | int | hElementC,
|  | int | vElementC,
|  | int | otherElementC,
|  | double | variance
| ) |  |

Definition at line 116 of file MyProcess.java.

References cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues().

Here is the call graph for this function:

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues | ( | String | clazz,
|  | ExampleSet | exampleSet,
|  | String | coordinates,
|  | double | simpleC,
|  | double | symetryC,
|  | int | xsymetry,
|  | int | ysymetry,
|  | int | allElementC,
|  | int | hElementC,
|  | int | vElementC,
|  | int | otherElementC
| ) |  |

Definition at line 120 of file MyProcess.java.

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.addValues | ( | String | clazz,
|  | ExampleSet | exampleSet,
|  | String | coordinates,
|  | double | simpleC,
|  | double | symetryC,
|  | int | xsymetry,
|  | int | ysymetry,
|  | int | allElementC,
|  | int | hElementC,
|  | int | vElementC,
|  | int | otherElementC,
|  | double | variance
| ) |  |

Definition at line 147 of file MyProcess.java.

static ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.ExampleSetHeader | ( | boolean | useVariance | ) |
| static private

Definition at line 176 of file MyProcess.java.

Referenced by cz.vutbr.feec.novak68.rapidminer.MyProcess.MyProcess().

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.getInputExampleSet | ( |  | ) |

This method returns imput data set

Returns

Definition at line 88 of file MyProcess.java.

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.getOutputExampleSet | ( |  | ) |

This method returns labeled example set

Returns

Definition at line 94 of file MyProcess.java.

void cz.vutbr.feec.novak68.rapidminer.MyProcess.printAllRecords | ( |  | ) |

Definition at line 66 of file MyProcess.java.

ExampleSet cz.vutbr.feec.novak68.rapidminer.MyProcess.runProcess | ( |  | ) |

This method starts the process and returns labeled example set

Returns

Definition at line 41 of file MyProcess.java.

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/rapidminer/MyProcess.java